Skip to Content
LurkrLurkr Docs
Levels

Get User Level

Get a user's level data in a guild

GET
/levels/{guildId}/users/{userId}

Get a user's level data in a guild

Authorization

apiKey
headerX-Api-Key<token>

The user's API key to authenticate requests

Path Parameters

guildId*Snowflake

A Discord snowflake identifier

Match^[1-9]\d+$
Length17 <= length <= 19
userId*Snowflake

A Discord snowflake identifier

Match^[1-9]\d+$
Length17 <= length <= 19

Response Body

Default Response

application/json
  1. response
level*
user*

This data might not always be up to date

Example Request
curl -X GET 'https://api.lurkr.gg/v2/levels/stringstringstrin/users/stringstringstrin'
Example Response200
{  "level": {    "lastUpdated": "2019-08-24T14:15:22Z",    "level": 0,    "messageCount": 0,    "rank": 1,    "xp": 0  },  "user": {    "avatar": "stringstringstringstringstringst",    "discriminator": "strin",    "globalName": "string",    "username": "string"  }}